#include<Arduino.h>

enum RAG_POSITION {
    DOWN = 1,
    UP = 2
};

enum DIRECTION {
    FORWARD = true,
    BACK = false
};

void InitializeLogic(int);
void Calibrate();
void WaitForStartup(int, int&, int, int, bool);
bool StartCondition(int);
void SetRagPosition(int, int&, int, int, bool); // first is really RAG_POSITION but is an int
bool HitEdge(bool);
void MoveUntilEdge(bool);
void MainFlow(int&, int, int, bool);
void MoveToRot(int&, int, bool);